<?xml version="1.0" encoding="WINDOWS-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:template match="/">
  <html>
  <!--link href="http://il-2.city/stat/cherep/skins/standart/css/il2sc.css" rel="stylesheet" type="text/css"/--> 
  <title> 
  <xsl:value-of select="//history/@callsign"/>
  </title>
  <body bgcolor="D0D0D0"> 

   <!--   -->
   <!-- a href="http://il-2.city" target='_blank'>
   <img src="http://il-2.city/stat/h02_11.jpg" border="0" alt="banner"/></a-->

  <p> 
  <h2>
   <b>
    <xsl:text>: </xsl:text>
    <font color="0000FF">
    <!--    --> 
    <xsl:value-of select="//history/@callsign"/>
    </font>
   </b></h2>
  <h3> </h3>
  <a name="top"/>
  <!--       -->
  <xsl:apply-templates select="/history/strik/sortie/newrank"/> 
  </p>

  <!--   --> 
  <xsl:for-each select="//history/strik[sortie]">
   <p><font color="338833">
   <h2>  
   <b><xsl:value-of select="@id"/></b>
   </h2> 
   </font>
   
   <p>
   <xsl:text>   : </xsl:text>
   <b><xsl:value-of select="@start"/></b>
   <xsl:text>   : </xsl:text>
   <!--   ,     -->
   <xsl:if test="@broken=1">
   <b><xsl:value-of select="@end"/></b>
   </xsl:if>
   <xsl:if test="not(@broken='1')">
   <font color="5555FF">
   <xsl:text>    </xsl:text>
   </font> 
   </xsl:if>

   <xsl:if test="@currentrank!=''">
    <xsl:text>     : </xsl:text>
    <b><font color="0000FF"><xsl:value-of select="@currentrank"/></font></b>
   </xsl:if>
   </p> 

   <p>
   <xsl:text>  : </xsl:text>
   <b><xsl:value-of select="@combatcount"/></b>
   <xsl:text> : </xsl:text>
   <b><xsl:value-of select="@kills"/></b>
   </p>

   <table width="100%" cellspacing="0" cellpadding="0" border="1">
    <tr bgcolor="B5C5C5">
     <td align="center"> </td>
     <td align="center"></td>
     <td align="center"></td>
     <td align="center"></td>
     <td align="center"></td>
     <td align="center">.</td>
     <td align="center">.</td>
     <td align="center"> </td>
     <td align="center"></td>
    </tr> 
   <!--      --> 
   <xsl:apply-templates select="./sortie"/>
   </table>
   </p>
  </xsl:for-each>
  <p>
  <a href="#top"></a>
  </p> 
 </body>
 </html>
 </xsl:template>

 <!--    -->
 <xsl:template match="sortie">
   <tr bgcolor="C5C5C5">
   <td align="center">
   <b><xsl:value-of select="@id"/></b>
   </td>
   <td align="center">
   <b><xsl:value-of select="@starttime"/></b>
   </td>
   <td align="center">
   <b><xsl:value-of select="@endtime"/></b>
   </td>
   <td align="center">
   <b><xsl:value-of select="@sortieend"/></b>
   </td>
   <td align="center">
   <b> 
   <xsl:if test="@iscombat=1">
   <font color="0000FF">
   <xsl:text></xsl:text>
   </font>
   </xsl:if>
   <xsl:if test="@iscombat!=1">
   <font color="FF0000">
   <xsl:text>---</xsl:text>
   </font>
   </xsl:if>
   </b>
   </td>
   <td align="center">
    <xsl:if test="@iscombat=1">
     <font color="0000FF"> 
     <b><xsl:value-of select="./details/@AirKills"/></b>
     </font>
    </xsl:if>
   </td>
   <td align="center">
    <xsl:if test="@iscombat=1">
     <font color="20D000"> 
     <b><xsl:value-of select="./details/@GroundKills"/></b>
     </font>
    </xsl:if>
   </td>
   <td align="center">
    <xsl:if test="@iscombat=1">
     <b><xsl:value-of select="./details/@EffectiveKills"/></b>
    </xsl:if>
   </td>
   <td align="center">
    <!--     --> 
    <xsl:if test="./newrank/@id!=''">
     <xsl:element name="a"> 
      <xsl:attribute name="name">
       <xsl:text>rank</xsl:text>
       <xsl:value-of select="./newrank/@id"/>
      </xsl:attribute>
      <xsl:text>   </xsl:text>
      <b><font color="FF0000"> 
      <xsl:value-of select="./newrank/@rankname"/>
      </font></b>
     </xsl:element>
    </xsl:if>
   </td>
   </tr> 
  </xsl:template>

 <!--          -->
 <xsl:template match="newrank">
   <xsl:element name="a"> 
    <xsl:attribute name="href">
     #rank<xsl:value-of select="./@id"/>
    </xsl:attribute>
    <xsl:value-of select="./@rankname"/>
   </xsl:element>
   <xsl:text>     </xsl:text> 
 </xsl:template> 
 
</xsl:stylesheet>
